Debian Bug report logs - #265133
xterm: horizontal scroll wheel causes beeps

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Andrew Pimlott <andrew@pimlott.net>

Date: Wed, 11 Aug 2004 21:18:06 UTC

Severity: wishlist

Tags: fixed-upstream, upstream

Found in version 4.3.0.dfsg.1-6

Fixed in version xfree86/4.3.0.dfsg.1-9

Done: fabbione@fabbione.net (Fabio M. Di Nitto)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#265133; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Andrew Pimlott <andrew@pimlott.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Pimlott <andrew@pimlott.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: horizontal scroll wheel causes beeps
Date: Wed, 11 Aug 2004 14:03:16 -0700
Package: xterm
Version: 4.3.0.dfsg.1-6
Severity: wishlist

If you accidentally use a horizontal scroll wheel (buttons 6 and 7) in an
xterm, it beeps.  I am using the EmulateWheel feature of XFree86 to simulate
both the vertical and horizontal wheel, and when "scrolling" vertically, I
inevitably cause a few horizontal wheel events.  So this beep is rather
bothersome.

I tried to work around this by adding empty translations for buttons 6 and
7, but as far as I can tell, Xt only supports 5 buttons, so there is no hope
of that.  I presume that has something to do with the beeps, but I did not
dig far enough to discover exactly what causes them.  If it is simply the
case that every "bogus" event causes a beep, maybe there can be an option to
disable that.

Andrew

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.7-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8

Versions of packages xterm depends on:
ii  libc6                     2.3.2.ds1-15   GNU C Library: Shared libraries an
ii  libexpat1                 1.95.6-8       XML parsing C library - runtime li
ii  libfontconfig1            2.2.3-1        generic font configuration library
ii  libfreetype6              2.1.7-2.2      FreeType 2 font engine, shared lib
ii  libice6                   4.3.0.dfsg.1-6 Inter-Client Exchange library
ii  libncurses5               5.4-4          Shared libraries for terminal hand
ii  libsm6                    4.3.0.dfsg.1-6 X Window System Session Management
ii  libxaw7                   4.3.0.dfsg.1-6 X Athena widget set library
ii  libxext6                  4.3.0.dfsg.1-6 X Window System miscellaneous exte
ii  libxft2                   2.1.2-6        FreeType-based font drawing librar
ii  libxmu6                   4.3.0.dfsg.1-6 X Window System miscellaneous util
ii  libxpm4                   4.3.0.dfsg.1-6 X pixmap library
ii  libxrender1               0.8.3-7        X Rendering Extension client libra
ii  libxt6                    4.3.0.dfsg.1-6 X Toolkit Intrinsics
ii  xlibs                     4.3.0.dfsg.1-6 X Window System client libraries m
ii  xlibs-data                4.3.0.dfsg.1-6 X Window System client data

-- no debconf information



Message sent on to Andrew Pimlott <andrew@pimlott.net>:
Bug#265133. Full text and rfc822 format available.

Message #8 received at 265133-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: 265133-submitter@bugs.debian.org
Subject: Re: Bug#265133: xterm: horizontal scroll wheel causes beeps
Date: Wed, 11 Aug 2004 20:41:34 -0400
[Message part 1 (text/plain, inline)]
On Wed, Aug 11, 2004 at 11:30:18PM +0200, Andrew Pimlott wrote:
> Package: xterm
> Version: 4.3.0.dfsg.1-6
> Severity: wishlist
> 
> If you accidentally use a horizontal scroll wheel (buttons 6 and 7) in an
> xterm, it beeps.  I am using the EmulateWheel feature of XFree86 to simulate
> both the vertical and horizontal wheel, and when "scrolling" vertically, I
> inevitably cause a few horizontal wheel events.  So this beep is rather
> bothersome.
> 
> I tried to work around this by adding empty translations for buttons 6 and
> 7, but as far as I can tell, Xt only supports 5 buttons, so there is no hope
> of that.  I presume that has something to do with the beeps, but I did not
> dig far enough to discover exactly what causes them.  If it is simply the
> case that every "bogus" event causes a beep, maybe there can be an option to
> disable that.

since it's an X library issue, it should be reported against the X libraries.

(what fix do you suppose I could make to xterm to address this?)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information stored:
Bug#265133; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Andrew Pimlott <andrew@pimlott.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #13 received at 265133-quiet@bugs.debian.org (full text, mbox):

From: Andrew Pimlott <andrew@pimlott.net>
To: Thomas Dickey <dickey@radix.net>, 265133-quiet@bugs.debian.org
Subject: Re: Bug#265133: xterm: horizontal scroll wheel causes beeps
Date: Wed, 11 Aug 2004 23:05:05 -0400
On Wed, Aug 11, 2004 at 08:41:34PM -0400, Thomas Dickey wrote:
> since it's an X library issue, it should be reported against the X libraries.
> 
> (what fix do you suppose I could make to xterm to address this?)

Although I inferred that Xt couldn't describe the event accurately, I
didn't know who was responsible for the beep.  It seems quite
infelicious for a library to harrass end-users over its own
shortcomings!  I will pursue the problem in the librraies.

Thanks,
Andrew



Message sent on to Andrew Pimlott <andrew@pimlott.net>:
Bug#265133. Full text and rfc822 format available.

Message #16 received at 265133-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: 265133-submitter@bugs.debian.org
Subject: Re: Bug#265133: xterm: horizontal scroll wheel causes beeps
Date: Thu, 12 Aug 2004 05:38:15 -0400
[Message part 1 (text/plain, inline)]
On Wed, Aug 11, 2004 at 11:30:18PM +0200, Andrew Pimlott wrote:
> I tried to work around this by adding empty translations for buttons 6 and
> 7, but as far as I can tell, Xt only supports 5 buttons, so there is no hope
> of that.  I presume that has something to do with the beeps, but I did not
> dig far enough to discover exactly what causes them.  If it is simply the
> case that every "bogus" event causes a beep, maybe there can be an option to
> disable that.

It's easy enough to see if xterm is producing the beep (though a quick
look through the source doesn't show me that it does).  Changing the
control/middle-mouse menu to use Visual Bell would modify this to a
flash if xterm is producing it, not if the library is doing it.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information stored:
Bug#265133; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Andrew Pimlott <andrew@pimlott.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #21 received at 265133-quiet@bugs.debian.org (full text, mbox):

From: Andrew Pimlott <andrew@pimlott.net>
To: Thomas Dickey <dickey@radix.net>, 265133-quiet@bugs.debian.org
Subject: Re: Bug#265133: xterm: horizontal scroll wheel causes beeps
Date: Sun, 15 Aug 2004 02:18:09 -0400
On Thu, Aug 12, 2004 at 05:38:15AM -0400, Thomas Dickey wrote:
> It's easy enough to see if xterm is producing the beep (though a quick
> look through the source doesn't show me that it does).  Changing the
> control/middle-mouse menu to use Visual Bell would modify this to a
> flash if xterm is producing it, not if the library is doing it.

Boy, am I dumb.  The answer is right in the man page:

     <BtnUp>:select-end(PRIMARY, CUT_BUFFER0) \\n\\
   <BtnDown>:bell(0)

I got thrown off because I had been trying to override this by binding
<Btn6Down>, which as I discovered doesn't exist.  But the binding for
<BtnDown> does catch "unknown" buttons.  Overriding this binding to
ignore() fixes the beep as expected.

I assume the idea was to use extra mouse buttons to copy the selection
into a cut buffer, and the bell was just feedback that this had been
done (maybe it was slow on old systems?).  Given that the common meaning
of buttons >3 seems to have changed over the years, perhaps those
bindings should just be removed.  Or as a compromise, the bell could be
removed, since I doubt that copying to CUT_BUFFER0 does any harm, and I
doubt the feedback is critical for the three users of this feature.  :-)

Andrew



Message sent on to Andrew Pimlott <andrew@pimlott.net>:
Bug#265133. Full text and rfc822 format available.

Message #24 received at 265133-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: 265133-submitter@bugs.debian.org
Subject: Re: Bug#265133: xterm: horizontal scroll wheel causes beeps
Date: Sun, 15 Aug 2004 12:11:56 -0400
[Message part 1 (text/plain, inline)]
On Sun, Aug 15, 2004 at 02:18:09AM -0400, Andrew Pimlott wrote:
> On Thu, Aug 12, 2004 at 05:38:15AM -0400, Thomas Dickey wrote:
> > It's easy enough to see if xterm is producing the beep (though a quick
> > look through the source doesn't show me that it does).  Changing the
> > control/middle-mouse menu to use Visual Bell would modify this to a
> > flash if xterm is producing it, not if the library is doing it.
> 
> Boy, am I dumb.  The answer is right in the man page:

well, the manpage is long (you're excused).
 
>      <BtnUp>:select-end(PRIMARY, CUT_BUFFER0) \\n\\
>    <BtnDown>:bell(0)
> 
> I got thrown off because I had been trying to override this by binding
> <Btn6Down>, which as I discovered doesn't exist.  But the binding for
> <BtnDown> does catch "unknown" buttons.  Overriding this binding to
> ignore() fixes the beep as expected.
> 
> I assume the idea was to use extra mouse buttons to copy the selection
> into a cut buffer, and the bell was just feedback that this had been
> done (maybe it was slow on old systems?).  Given that the common meaning

possibly - I see that in the X11R3 version, so it's very old.

Buttons 4 and 5 were inserted into the list without really changing the
other behavior (much).

> of buttons >3 seems to have changed over the years, perhaps those
> bindings should just be removed.  Or as a compromise, the bell could be
> removed, since I doubt that copying to CUT_BUFFER0 does any harm, and I
> doubt the feedback is critical for the three users of this feature.  :-)

that sounds reasonable (though I expect there's _someone_ using the feature).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Andrew Pimlott <andrew@pimlott.net>:
Bug#265133. Full text and rfc822 format available.

Message #27 received at 265133-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 265133-submitter@bugs.debian.org
Subject: re: #265133 - xterm: horizontal scroll wheel causes beeps
Date: Tue, 30 Nov 2004 20:56:57 -0500
[Message part 1 (text/plain, inline)]
This is fixed in xterm patch #197.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Tags added: upstream, fixed-upstream Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to fabbione@fabbione.net (Fabio M. Di Nitto):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andrew Pimlott <andrew@pimlott.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 265133-close@bugs.debian.org (full text, mbox):

From: fabbione@fabbione.net (Fabio M. Di Nitto)
To: 265133-close@bugs.debian.org
Subject: Bug#265133: fixed in xfree86 4.3.0.dfsg.1-9
Date: Thu, 09 Dec 2004 16:03:04 -0500
Source: xfree86
Source-Version: 4.3.0.dfsg.1-9

We believe that the bug you reported is fixed in the latest version of
xfree86, which is due to be installed in the Debian FTP archive:

lbxproxy_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/lbxproxy_4.3.0.dfsg.1-9_i386.deb
libdps-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libdps-dev_4.3.0.dfsg.1-9_i386.deb
libdps1-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libdps1-dbg_4.3.0.dfsg.1-9_i386.deb
libdps1_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libdps1_4.3.0.dfsg.1-9_i386.deb
libice-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libice-dev_4.3.0.dfsg.1-9_i386.deb
libice6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libice6-dbg_4.3.0.dfsg.1-9_i386.deb
libice6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libice6_4.3.0.dfsg.1-9_i386.deb
libsm-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libsm-dev_4.3.0.dfsg.1-9_i386.deb
libsm6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libsm6-dbg_4.3.0.dfsg.1-9_i386.deb
libsm6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libsm6_4.3.0.dfsg.1-9_i386.deb
libx11-6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libx11-6-dbg_4.3.0.dfsg.1-9_i386.deb
libx11-6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libx11-6_4.3.0.dfsg.1-9_i386.deb
libx11-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libx11-dev_4.3.0.dfsg.1-9_i386.deb
libxaw6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxaw6-dbg_4.3.0.dfsg.1-9_i386.deb
libxaw6-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxaw6-dev_4.3.0.dfsg.1-9_i386.deb
libxaw6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxaw6_4.3.0.dfsg.1-9_i386.deb
libxaw7-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxaw7-dbg_4.3.0.dfsg.1-9_i386.deb
libxaw7-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxaw7-dev_4.3.0.dfsg.1-9_i386.deb
libxaw7_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxaw7_4.3.0.dfsg.1-9_i386.deb
libxext-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxext-dev_4.3.0.dfsg.1-9_i386.deb
libxext6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxext6-dbg_4.3.0.dfsg.1-9_i386.deb
libxext6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxext6_4.3.0.dfsg.1-9_i386.deb
libxft1-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxft1-dbg_4.3.0.dfsg.1-9_i386.deb
libxft1_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxft1_4.3.0.dfsg.1-9_i386.deb
libxi-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxi-dev_4.3.0.dfsg.1-9_i386.deb
libxi6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxi6-dbg_4.3.0.dfsg.1-9_i386.deb
libxi6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxi6_4.3.0.dfsg.1-9_i386.deb
libxmu-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxmu-dev_4.3.0.dfsg.1-9_i386.deb
libxmu6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxmu6-dbg_4.3.0.dfsg.1-9_i386.deb
libxmu6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxmu6_4.3.0.dfsg.1-9_i386.deb
libxmuu-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxmuu-dev_4.3.0.dfsg.1-9_i386.deb
libxmuu1-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxmuu1-dbg_4.3.0.dfsg.1-9_i386.deb
libxmuu1_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxmuu1_4.3.0.dfsg.1-9_i386.deb
libxp-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxp-dev_4.3.0.dfsg.1-9_i386.deb
libxp6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxp6-dbg_4.3.0.dfsg.1-9_i386.deb
libxp6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxp6_4.3.0.dfsg.1-9_i386.deb
libxpm-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxpm-dev_4.3.0.dfsg.1-9_i386.deb
libxpm4-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxpm4-dbg_4.3.0.dfsg.1-9_i386.deb
libxpm4_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxpm4_4.3.0.dfsg.1-9_i386.deb
libxrandr-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxrandr-dev_4.3.0.dfsg.1-9_i386.deb
libxrandr2-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxrandr2-dbg_4.3.0.dfsg.1-9_i386.deb
libxrandr2_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxrandr2_4.3.0.dfsg.1-9_i386.deb
libxt-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxt-dev_4.3.0.dfsg.1-9_i386.deb
libxt6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxt6-dbg_4.3.0.dfsg.1-9_i386.deb
libxt6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxt6_4.3.0.dfsg.1-9_i386.deb
libxtrap-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxtrap-dev_4.3.0.dfsg.1-9_i386.deb
libxtrap6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxtrap6-dbg_4.3.0.dfsg.1-9_i386.deb
libxtrap6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxtrap6_4.3.0.dfsg.1-9_i386.deb
libxtst-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxtst-dev_4.3.0.dfsg.1-9_i386.deb
libxtst6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxtst6-dbg_4.3.0.dfsg.1-9_i386.deb
libxtst6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxtst6_4.3.0.dfsg.1-9_i386.deb
libxv-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxv-dev_4.3.0.dfsg.1-9_i386.deb
libxv1-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxv1-dbg_4.3.0.dfsg.1-9_i386.deb
libxv1_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxv1_4.3.0.dfsg.1-9_i386.deb
pm-dev_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/pm-dev_4.3.0.dfsg.1-9_all.deb
proxymngr_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/proxymngr_4.3.0.dfsg.1-9_i386.deb
twm_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/twm_4.3.0.dfsg.1-9_i386.deb
x-dev_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/x-dev_4.3.0.dfsg.1-9_all.deb
x-window-system-core_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/x-window-system-core_4.3.0.dfsg.1-9_i386.deb
x-window-system-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/x-window-system-dev_4.3.0.dfsg.1-9_i386.deb
x-window-system_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/x-window-system_4.3.0.dfsg.1-9_all.deb
xbase-clients_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xbase-clients_4.3.0.dfsg.1-9_i386.deb
xdm_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xdm_4.3.0.dfsg.1-9_i386.deb
xfonts-100dpi-transcoded_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-100dpi-transcoded_4.3.0.dfsg.1-9_all.deb
xfonts-100dpi_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-100dpi_4.3.0.dfsg.1-9_all.deb
xfonts-75dpi-transcoded_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-75dpi-transcoded_4.3.0.dfsg.1-9_all.deb
xfonts-75dpi_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-75dpi_4.3.0.dfsg.1-9_all.deb
xfonts-base-transcoded_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-base-transcoded_4.3.0.dfsg.1-9_all.deb
xfonts-base_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-base_4.3.0.dfsg.1-9_all.deb
xfonts-cyrillic_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-cyrillic_4.3.0.dfsg.1-9_all.deb
xfonts-scalable_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-scalable_4.3.0.dfsg.1-9_all.deb
xfree86-common_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfree86-common_4.3.0.dfsg.1-9_all.deb
xfree86_4.3.0.dfsg.1-9.diff.gz
  to pool/main/x/xfree86/xfree86_4.3.0.dfsg.1-9.diff.gz
xfree86_4.3.0.dfsg.1-9.dsc
  to pool/main/x/xfree86/xfree86_4.3.0.dfsg.1-9.dsc
xfs_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xfs_4.3.0.dfsg.1-9_i386.deb
xfwp_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xfwp_4.3.0.dfsg.1-9_i386.deb
xlibmesa-dev_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xlibmesa-dev_4.3.0.dfsg.1-9_all.deb
xlibmesa-dri-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-dri-dbg_4.3.0.dfsg.1-9_i386.deb
xlibmesa-dri_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-dri_4.3.0.dfsg.1-9_i386.deb
xlibmesa-gl-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-gl-dbg_4.3.0.dfsg.1-9_i386.deb
xlibmesa-gl-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-gl-dev_4.3.0.dfsg.1-9_i386.deb
xlibmesa-gl_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-gl_4.3.0.dfsg.1-9_i386.deb
xlibmesa-glu-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-glu-dbg_4.3.0.dfsg.1-9_i386.deb
xlibmesa-glu-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-glu-dev_4.3.0.dfsg.1-9_i386.deb
xlibmesa-glu_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-glu_4.3.0.dfsg.1-9_i386.deb
xlibmesa3-dbg_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xlibmesa3-dbg_4.3.0.dfsg.1-9_all.deb
xlibmesa3_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa3_4.3.0.dfsg.1-9_i386.deb
xlibosmesa-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibosmesa-dev_4.3.0.dfsg.1-9_i386.deb
xlibosmesa4-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibosmesa4-dbg_4.3.0.dfsg.1-9_i386.deb
xlibosmesa4_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibosmesa4_4.3.0.dfsg.1-9_i386.deb
xlibs-data_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xlibs-data_4.3.0.dfsg.1-9_all.deb
xlibs-dbg_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xlibs-dbg_4.3.0.dfsg.1-9_all.deb
xlibs-dev_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xlibs-dev_4.3.0.dfsg.1-9_all.deb
xlibs-pic_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xlibs-pic_4.3.0.dfsg.1-9_all.deb
xlibs-static-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibs-static-dev_4.3.0.dfsg.1-9_i386.deb
xlibs-static-pic_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibs-static-pic_4.3.0.dfsg.1-9_i386.deb
xlibs_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xlibs_4.3.0.dfsg.1-9_all.deb
xmh_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xmh_4.3.0.dfsg.1-9_i386.deb
xnest_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xnest_4.3.0.dfsg.1-9_i386.deb
xprt_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xprt_4.3.0.dfsg.1-9_i386.deb
xserver-common_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xserver-common_4.3.0.dfsg.1-9_i386.deb
xserver-xfree86-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xserver-xfree86-dbg_4.3.0.dfsg.1-9_i386.deb
xserver-xfree86_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xserver-xfree86_4.3.0.dfsg.1-9_i386.deb
xspecs_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xspecs_4.3.0.dfsg.1-9_all.deb
xterm_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xterm_4.3.0.dfsg.1-9_i386.deb
xutils_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xutils_4.3.0.dfsg.1-9_i386.deb
xvfb_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xvfb_4.3.0.dfsg.1-9_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 265133@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fabio M. Di Nitto <fabbione@fabbione.net> (supplier of updated xfree86 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 09 Dec 2004 17:14:45 +0100
Source: xfree86
Binary: libx11-6-dbg libxtst6-dbg xserver-common xlibs-static-dev libxp6-dbg xbase-clients xlibmesa3-dbg libxtrap6-dbg xfonts-75dpi libxt6 libice6-dbg xmh libxaw6-dbg x-dev libxv1 libxext6-dbg xlibmesa-dev libxpm4 libxtst6 xlibmesa-gl-dev xfonts-cyrillic libx11-6 libsm6-dbg xlibs-pic xlibs-data x-window-system xfree86-common xlibmesa-dri xlibmesa3 libxv1-dbg libxrandr2 xlibmesa-glu libxaw7-dev xnest libxaw6 xterm libxp6 xlibmesa-dri-dbg libxrandr2-dbg libxmu6 xlibmesa-glu-dbg libx11-dev xlibs-static-pic libxpm4-dbg libxaw7-dbg libxmu6-dbg xlibmesa-glu-dev libxmuu-dev pm-dev libxext6 libxft1-dbg libxtst-dev libxv-dev libxp-dev twm x-window-system-dev libsm-dev xfonts-scalable libdps1-dbg libxmuu1-dbg xfwp libice6 libxmu-dev xlibs libdps-dev xserver-xfree86-dbg libxrandr-dev libsm6 xserver-xfree86 libdps1 proxymngr xfonts-base-transcoded libxaw6-dev lbxproxy x-window-system-core xutils xspecs libxtrap6 libice-dev libxt-dev xfs libxmuu1 libxi6-dbg xfonts-base xlibs-dbg libxpm-dev xlibmesa-gl xfonts-100dpi-transcoded libxtrap-dev xfonts-100dpi libxext-dev xfonts-75dpi-transcoded xlibosmesa4-dbg libxft1 xprt libxi-dev xlibosmesa-dev xlibosmesa4 xvfb libxaw7 xlibmesa-gl-dbg xdm xlibs-dev libxi6 libxt6-dbg
Architecture: source i386 all
Version: 4.3.0.dfsg.1-9
Distribution: unstable
Urgency: high
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Fabio M. Di Nitto <fabbione@fabbione.net>
Description: 
 lbxproxy   - Low Bandwidth X (LBX) proxy server
 libdps-dev - Display PostScript (DPS) client library development files
 libdps1    - Display PostScript (DPS) client library
 libdps1-dbg - Display PostScript (DPS) client library (unstripped)
 libice-dev - Inter-Client Exchange library development files
 libice6    - Inter-Client Exchange library
 libice6-dbg - Inter-Client Exchange library (unstripped)
 libsm-dev  - X Window System Session Management library development files
 libsm6     - X Window System Session Management library
 libsm6-dbg - X Window System Session Management library (unstripped)
 libx11-6   - X Window System protocol client library
 libx11-6-dbg - X Window System protocol client library (unstripped)
 libx11-dev - X Window System protocol client library development files
 libxaw6    - X Athena widget set library (version 6)
 libxaw6-dbg - X Athena widget set library (version 6, unstripped)
 libxaw6-dev - X Athena widget set library development files (version 6)
 libxaw7    - X Athena widget set library
 libxaw7-dbg - X Athena widget set library (unstripped)
 libxaw7-dev - X Athena widget set library development files
 libxext-dev - X Window System miscellaneous extension library development files
 libxext6   - X Window System miscellaneous extension library
 libxext6-dbg - X Window System miscellaneous extension library (unstripped)
 libxft1    - FreeType-based font drawing library for X (version 1)
 libxft1-dbg - FreeType-based font drawing library for X (version 1, unstripped)
 libxi-dev  - X Window System Input extension library development files
 libxi6     - X Window System Input extension library
 libxi6-dbg - X Window System Input extension library (unstripped)
 libxmu-dev - X Window System miscellaneous utility library development files
 libxmu6    - X Window System miscellaneous utility library
 libxmu6-dbg - X Window System miscellaneous utility library (unstripped)
 libxmuu-dev - lightweight X Window System miscellaneous utility library develop
 libxmuu1   - lightweight X Window System miscellaneous utility library
 libxmuu1-dbg - lightweight X Window System miscellaneous utility library (unstri
 libxp-dev  - X Window System printing extension library development files
 libxp6     - X Window System printing extension library
 libxp6-dbg - X Window System printing extension library (unstripped)
 libxpm-dev - X pixmap library development files
 libxpm4    - X pixmap library
 libxpm4-dbg - X pixmap library (unstripped)
 libxrandr-dev - X Window System Resize, Rotate and Reflection extension library d
 libxrandr2 - X Window System Resize, Rotate and Reflection extension library
 libxrandr2-dbg - X Window System Resize, Rotate and Reflection extension library (
 libxt-dev  - X Toolkit Intrinsics development files
 libxt6     - X Toolkit Intrinsics
 libxt6-dbg - X Toolkit Intrinsics (unstripped)
 libxtrap-dev - X Window System protocol-trapping extension library development f
 libxtrap6  - X Window System protocol-trapping extension library
 libxtrap6-dbg - X Window System protocol-trapping extension library (unstripped)
 libxtst-dev - X Window System event recording and testing extension library dev
 libxtst6   - X Window System event recording and testing extension library
 libxtst6-dbg - X Window System event recording and testing extension library (un
 libxv-dev  - X Window System video extension library development files
 libxv1     - X Window System video extension library
 libxv1-dbg - X Window System video extension library (unstripped)
 pm-dev     - proxy management protocol development files
 proxymngr  - X proxy services manager
 twm        - Tab window manager
 x-dev      - X protocol development files
 x-window-system - X Window System
 x-window-system-core - X Window System core components
 x-window-system-dev - X Window System development components
 xbase-clients - miscellaneous X clients
 xdm        - X display manager
 xfonts-100dpi - 100 dpi fonts for X
 xfonts-100dpi-transcoded - 100 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-75dpi - 75 dpi fonts for X
 xfonts-75dpi-transcoded - 75 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-base - standard fonts for X
 xfonts-base-transcoded - standard fonts for X (transcoded from ISO 10646-1)
 xfonts-cyrillic - Cyrillic fonts for X
 xfonts-scalable - scalable fonts for X
 xfree86-common - X Window System (XFree86) infrastructure
 xfs        - X font server
 xfwp       - X firewall proxy server
 xlibmesa-dev - XFree86 Mesa development libraries dummy package
 xlibmesa-dri - Mesa 3D graphics library modules [XFree86]
 xlibmesa-dri-dbg - Mesa 3D graphics library modules (unstripped) [XFree86]
 xlibmesa-gl - Mesa 3D graphics library [XFree86]
 xlibmesa-gl-dbg - Mesa 3D graphics library (unstripped) [XFree86]
 xlibmesa-gl-dev - Mesa 3D graphics library development files [XFree86]
 xlibmesa-glu - Mesa OpenGL utility library [XFree86]
 xlibmesa-glu-dbg - Mesa OpenGL utility library (unstripped) [XFree86]
 xlibmesa-glu-dev - Mesa OpenGL utility library development files [XFree86]
 xlibmesa3  - XFree86 Mesa libraries dummy package
 xlibmesa3-dbg - XFree86 Mesa unstripped libraries dummy package
 xlibosmesa-dev - Mesa off-screen rendering library development files [XFree86]
 xlibosmesa4 - Mesa off-screen rendering library [XFree86]
 xlibosmesa4-dbg - Mesa off-screen rendering library (unstripped) [XFree86]
 xlibs      - X Keyboard Extension (XKB) configuration data and metapackage
 xlibs-data - X Window System client data
 xlibs-dbg  - X Window System unstripped client libraries dummy package
 xlibs-dev  - X Window System client library development files dummy package
 xlibs-pic  - XFree86 static PIC libraries dummy package
 xlibs-static-dev - X Window System client library development files
 xlibs-static-pic - X Window System client extension library PIC archives
 xmh        - X interface to the MH mail system
 xnest      - nested X server
 xprt       - X print server (XFree86 version)
 xserver-common - files and utilities common to all X servers
 xserver-xfree86 - the XFree86 X server
 xserver-xfree86-dbg - the XFree86 X server (static version with debugging symbols)
 xspecs     - X protocol, extension, and library technical specifications
 xterm      - X terminal emulator
 xutils     - X Window System utility programs
 xvfb       - virtual framebuffer X server
Closes: 80140 172526 231837 235574 236086 241534 241566 245371 246398 250331 252068 258575 263076 263561 265133 267321 268461 268812 268997 270235 270496 271030 271326 273202 274018 274101 274457 274513 275329 275473 275710 276415 276447 277038 277699 277832 278654 278714 278897 279436 280384
Changes: 
 xfree86 (4.3.0.dfsg.1-9) unstable; urgency=high
 .
   * Security update release.  Resolves CAN-2004-0914 (several Xpm library
     vulnerabilities).
 .
   Changes by Branden Robinson:
 .
   * Update Danish debconf template translations (thanks, Claus Hindsgaul).
     (Closes: #274101)
 .
   * Add FAQ entry: Why does composing characters work in some applications but
     not others?
 .
   * Apply patch from Jan Wilhelm Stumpel to correct miscoded Unicode Plane 1
     characters in en_US.UTF-8 compose map.  (Closes: #267321)
 .
   * Install xlibs's bug script in the binary-indep rule, not binary-arch,
     since xlibs is an architecture "all" package.  Now the script will
     actually be shipped.
 .
   * If the restorecon command is available, restore SELinux file security
     contexts after setting up X server and ICE socket directories
     (xfree86-common) and font server socket directories (xfs) after creating
     them in the init scripts.  (Closes: #268812, #271030)
 .
   * Fix missing-word typo in xnest's package description.  Thanks to Roland
     Stigge for catching this.  (Closes: #268997)
 .
   * Remove build-dependency on libstdc++5-dev | libstdc++-dev.  A package
     providing libstdc++-dev is build-essential.  Thanks to Steve Langasek for
     his counsel on this issue.  (Closes: #268461)
 .
   * Make xserver-common conflict with xserver-xfree86 and xserver-xfree86-dbg
     4.3.0.dfsg.1-[56] using exact versioned conflicts.  This prevents versions
     of the xserver-xfree86{,-dbg} packages that depend on a now-vanished
     interface in dexconf from being installed in conjunction with it.  See the
     changelog entry for 4.3.0.dfsg.1-7 for more information.  Thanks to Adrian
     Bunk for this suggestion.
 .
   * Grab from XFree86 CVS (no later than 2003-12-31) several updates to the
     Video4Linux (v4l) driver:
     + [#include regionstr.h, not miscstruct.h.] (#A.1859, Alexander Stohr)
       [David Dawes]
     + [Update format string when reporting memPhysBase.] (David Dawes)
     + Fix a problem with the v4l driver not seeing all the tv-norms available
       under the bttv driver with the Linux 2.6.0-test11 kernel (#5976, Marco
       Antonio Alvarez).  [David Dawes]
     + Change v4l "norm" names to the bttv versions (#5993, Marco Antonio
       Alvarez).  [David Dawes]
     (Closes: #270496)
 .
   * Update "Further Information" section of FAQ.
 .
   * Add FAQ entry: What are Debian's plans with respect to X.Org and
     XFree86?
 .
   * Add FAQ entry: Sometimes I get garbage characters like 1;2c in my xterm
     windows; what's happening?
 .
   * Update FAQ entry: My keyboard configuration worked with XFree86 4.2; why
     is it messed up now?
 .
   * Update FAQ entry: How does the keyboard work in the X Window System?
 .
   * Apply patch (#036) submitted to XFree86 Bugzilla on 2003-04-03 by the DRI
     Developers to fix OpenGL application crashes with "Assertion `vb.context
     == ctx' failed." for ATI R200 DRI users (thanks, Martin Dickopp).
     (Closes: #241534)
 .
   * Add copyright and (MIT/X11 style) license for Bitstream Type1 fonts to
     copyright file.  Thanks to Ben Harris for pointing this out.
     (Closes: #274018)
 .
   * Clean up and expand xclock(1x) manpage to document the effects the RENDER
     extension has on command-line option and X resource handling.  Thanks to
     Vincent McIntyre for prompting this.  (Closes: #241566)
 .
   * Use run() to unregister obsolete debconf templates in xserver-xfree86,
     since failure to do so is not fatal, and will occur if we are upgrading
     from a version of the package so old (pre-woody unstable) that the
     templates don't exist to be unregistered.  Thanks to Florian Laws for
     diagnosing this bug.  (Closes: #275710)
 .
   * Stop manually compressing the plain text version of the Debian X FAQ;
     dh_compress will take care of that.  Tell dh_compress to avoid compressing
     the XHTML version of the FAQ.
 .
   * Restore xdm's Xreset script, which was removed in 4.2.1-12.  If the
     use-sessreg option is set and the sessreg command is available, user X
     sessions will be de-registered from the utmp and wtmp files again.
     Update maintainer scripts to stop removing the conffile.  Update
     xdm.install and MANIFEST.* files to ship Xreset script.  The old
     xconsole-related logic is not restored.  (Closes: #275329)
 .
   * Replace XFree86 X server pre-release banner message with long boilerplate
     that declaims the release as heavily modified by Debian, and directs users
     to the Debian Bug Tracking System and the Debian X FAQ instead of XFree86
     mailing lists; also replace an occurence of an XFree86 mailing list
     address in a tseng driver message (patch #914).
 .
   * Update xlibs's package description to stop implying that *no* packages
     have up-to-date dependencies on it (xbase-clients does, due to xkbcomp,
     which is statically linked against libxkbfile).
 .
   * Apply patch from Jeff Licquia to port the X configlet to python-configlet
     version 2 so that xserver-xfree86 package configuration
     doesn't crash for people who have the configlet infrastructure installed.
     Make xserver-common conflict with python-configlet (<< 2.0) accordingly.
     (Closes: #263076)
 .
   * Apply patch from Jason Lunz for silly thinko that caused arguments to
     xvfb-run to be misparsed if they contained whitespace.  Thanks, Jason!
     (Closes: #276415)
 .
   * Tidy up and make consistent all Debian-specific manpages.
 .
   * Update package descriptions to replace the term "pseudopackage" (which
     apparently only the xfree86 source package uses) with "dummy package" in
     the short description, and "transitional package" in the extended
     description, per section 6.7.7 of the Debian Developers' Reference.
 .
   * Update patch #009 to improve the fix for the Rage128-specific problem with
     engine lockups; because CCE idle commands may never finish, eventually
     stop the engine altogether after a long enough period of inactivity.
     Thanks to Daniel Jacobowitz for the original patch, this improved version,
     and the real-world testing.  (Closes: #278654)
 .
   * Add FAQ entry: What is the story with XFree86 3.x?
 .
   * Apply some fixes to the XFree86 X server's ELF object loader:
     + Stop conditionally #including <sys/mman.h> since it is unconditionally
       imported earlier in the file.
     + Perform an mprotect() for AMD64 Linux systems as well as OpenBSD to
       prevent SEGVs on NX-enabled kernels.  (Closes: #277699)
     + Fix a problem with parentheses when using the preprocessor (doesn't
       affect Debian, but would cause unexpected behavior on OpenBSD).
 .
   * Perform some cleanup work on the shared library maintainer scripts of
     libdps1, libxaw6, libxaw7, xlibmesa-gl, xlibmesa-glu, and xlibosmesa4;
     thanks to Fabio for noticing the inconsistencies.
     + Call register_x_lib_dir_with_ld_so() before invoking ldconfig in the
       post-installation scripts.
     + Perform configuration actions regardless of the value of "$1" in the
       post-installation scripts.
     + Call deregister_x_lib_dir_with_ld_so() before invoking ldconfig in the
       post-removal scripts.
     + Move the #DEBHELPER# expando later in the scripts where applicable.
 .
   * Perform some cleanup work on the update-fonts-{alias,dir,scale} utilities
     and their manual pages.
     + Eliminate XSIisms (-a, -o) in uses of test(1)/[(1).
     + Re-indent at four spaces.
     + Query terminal for its width if $COLUMNS is not set, as shell-lib.sh
       does.  Fall back to a width of 80 if stty returns garbage or nothing.
     + Rename error() to die().
     + Add usage() function and -h, --help option.
     + Use exit status 2 to indicate usage errors as opposed to operational
       failures.
     + Be more careful with quoting shell variables.
     + Add and expand comments.
     + Add SVN Id keyword.
     + Update Vim modeline.
     + Update manual pages to document changes in interface and behavior (there
       are no backwards-incomaptible changes).
 .
   * Perform some cleanup work on the xvfb-run utility and its manual page.
     + Query terminal for its width if $COLUMNS is not set, as shell-lib.sh
       does.  Fall back to a width of 80 if stty returns garbage or nothing.
     + Add message() and error() functions.
     + Enhance usage() function to (additionally) display an error message
       consisting of the function arguments, if any.
     + Use error() and usage() instead of echo for error messages.
     + Cosmetically tidy up usage message, and correct a typo.
     + Declare locally-scoped variable in find_free_servernum().
     + Store getopt's exit status and report it in an error message if it is
       nonzero.
     + Clarify the error message if getopt rearranges the command line in a way
       we don't expect.
     + Tidy up comment, shell function, and redirection style.  Wrap long
       lines.  Quote variables that may have whitespace in them.  Update Vim
       modeline.
     + Describe effect of $COLUMNS environment variable in manpage.
     + Remove erroneous description of exit status 1, and explain why it is not
       used.
     + Add description of exit statuses 0, 4, 5, and 6.
     + Fix markup error.
 .
   * Replace many occurences of XSI connectives in test(1) with POSIX shell
     connectives in scripts.
 .
   * Apply patch from David Mosberger that replaces the fix for #225526 with
     one that works on systems that do not have a PCI bus numbered 0.  Thanks,
     David!  (Closes: #279436)
 .
   * Apply patch from Richard Mortimer to fix the XFree86 X server's ELF object
     loader to set the PROT_EXEC flag on mmap()ed modules regardless of machine
     architecture.  (It was already trying to do this, but there are three
     preprocessor statements involved, and we were only patching one.)
     (Closes: #280384)
 .
   * Update XTerm to patch #197 (2004-09-30) from Thomas Dickey's website.
     + Change default translations so a BtnDown which is not recognized is
       simply ignored rather than emitting a bell.  That makes it less
       obtrusive when the user tries to use a mouse which provides more
       capabilities than the X mouse driver supports, e.g., one with a
       horizontal scroll wheel.  (Closes: #265133)
     + Note in xterm's manpage that "translations" is not specific to xterm.
       (Closes: #278897)
     + Modify uxterm script to use locale program to verify if the derived
       locale is installed.  (Closes: #246398)
     + Modify the criteria for disowning primary selection.  Previously, this
       happened anytime the cursor was moved before the end of the selection.
       That would ensure that any insert/delete of char or line, as well as
       scrolling, would disown the selection.  The new criteria change this to
       checking if the operations would modify the data which is highlighted.
       (Closes: #277832)
     + Correct handling selection of tabs over cleared space in UTF-8 mode.  In
       this special case, xterm represents the whitespace with a null rather
       than a space character.  (Closes: #276447)
     + Amend fix for infinite loop from patch #192 to check if there is wrapped
       text to output in a following iteration.  (Closes: #273202)
     + Amend solution for Debian #252873, #260471 from patch #194 by making the
       cursor not explicitly colored if only the foreground color is set, and
       the cursor is on a blank space.  (Closes: #275473)
 .
   * Add magic register poke to neomagic driver which apparently speeds up DVD
     playback operations.  Thanks to Tony Hill for finding this patch.
     Unfortunately, despite efforts to locate some, there appears to be no
     documentation of why this register poke works.  (Closes: #277038)
 .
   Changes by Denis Barbier and Fabio M. Di Nitto:
 .
   * Edit xc/programs/xkbcomp/symbols/pc/Imakefile so that the new pc/us_intl
     layout file gets installed.  Update MANIFEST files and xlibs.install to
     ensure the file get shipped.
     + Ship a multi-layout aware us_intl layout.  (Closes: #271326)
     + Make us_intl work again.  (Closes: #274513)
 .
   * Update Dutch debconf template translations (thanks, Bart Cornelis).
     (Closes: #278714)
 .
   Changes by Denis Barbier:
 .
   * Make Sun keyboards load srvr_ctrl(xfree86) symbol definitions to have
     access to standard Ctrl+Alt key sequences.  (Closes: #236086)
 .
   * Add several multi-layout aware layouts:
     + ca (Canada) contains several variants: "fr" is meant as a replacement
       for ca_enhanced, "fr-legacy" is another variant, and "multi" is an
       implementation of CAN/CSA-Z243.200-92.  This standard requires two
       groups, so it is in fact divided into "multi" and "multi-2gr" variants.
       By default, "ca" loads both "multi" and "multi-2gr" to provide a
       full-featured keyboard.  When it is combined with other layouts, the
       simpler variant "fr" is used, but others can be explicitly specified.
       (Closes: #245371, #252068, #258575)
     + The new ca layout also fixes ISO_Level3_Shift, which was mapped to
       <RCTL> instead of <RALT>.  (Closes: #274457)
     + jp (Japan) also requires a combination of two variants.  When this is
       the only loaded layout, the full combination is used.  When this layout
       is combined with others, only the "jp106" variant is loaded.
     + hu (Hungary) layout has been simplified; some variants have been removed.
       (Closes: #263561)
     + ch (Switzerland) replaces de_CH and fr_CH.
     + mn (Mongolia) and vn (Vietnam) are simple layouts.
 .
   * In UTF-8 compose files, replace U00xx Unicode codepoints by the
     corresponding keysyms.  Otherwise the compose character is in
     the range 0x01000000-0x010000FF which is not valid according to
     appendix A of the X11 protocol.  Even if most applications are able
     to recognize these broken characters, few of them fail, most notably
     xemacs and users are then unable to use composition when in UTF-8
     locales.  (Closes: #235574)
 .
   * Replace level3(ralt_switch_multikey) by level3(ralt_switch) in all
     layouts so that symbols on the 4th column may be accessed with
     Shift+Alt_R or Alt_R+Shift.  (Closes: #270235)
 .
   + In /etc/X11/xkb/rules/xfree86, move lv3 definitions after altwin so
     that the former can override the latter.  See Bug#276143.
 .
   Changes by Fabio M. Di Nitto:
 .
   * Update wacom input driver from http://linuxwacom.sourceforge.net/ up to
     version 0.6.4:
     + Remove now obsolete patch 036_wacom_usb_tablet_update.diff
     + Add patch 000_stolen_from_sourceforge_wacom_driver.diff
     + Fix input timeout problems if the device is not connected.
       No references are available in upstream changelog, but tests do not
       show this behavior anymore. (Closes: #231837)
     + Fix compatibility with kernel 2.6 wacom driver. (Closes: #250331)
     + Add support for Cintiq boards. According to #172526 logs the patch
       has been included, reworked and cleaned by upstream a long time ago.
       No references are available in upstream changelog. (Closes: #172526)
     + A combination of new kernel, xfree86 and wacom driver appears to have
       fixed the APM resume issue as described in #80140. Tests done
       on a powerpc laptop do not show this problem anymore.
       No references are available in upstream changelog. (Closes: #80140)
 .
   * Add workaround for the UseBIOS default setting in the savage driver:
     + Add patch 099i_pro_savage_ddr_set_use_bios_to_false.diff
     + Set UseBios default to "no" for PROSAVAGE_DDR and PROSAVAGE_DDRK, as
       described at <URL: http://www.probo.com/timr/savage40.html >.
 .
   * Fix nl_BE locale alias information.
 .
   * Use validate-posix-sh at build time to perform syntax check on generated
     maintainer scripts.
 .
   * Increase verbosity of validate-posix-sh warnings.  Stop immediately
     exiting upon encountering the first shell interpeter that fails on the
     script; instead, attempt all the interpreters and report all that fail.
 .
   * Sync debian/rules install-server target with install and make
     binary-server work again.
 .
   Changes by Fabio M. Di Nitto and Branden Robinson:
 .
   * Update patch #087 to include fruits of Xpm source code security audit by
     Thomas Beige.  Resolves CAN-2004-0914: memory leak, improper use of signed
     integers, and overflows in the Xpm library.  Resync offset in patch #200.
Files: 
 604583b52dca2ffe3d5f28af1b60684d 2634 x11 optional xfree86_4.3.0.dfsg.1-9.dsc
 165833695fff22cf62d4a56b5bd44549 3507053 x11 optional xfree86_4.3.0.dfsg.1-9.diff.gz
 785685d69848622b281cfeb085bac954 150862 libdevel optional pm-dev_4.3.0.dfsg.1-9_all.deb
 4c5d41d1a9f11b5678ed0816d571f147 207838 libdevel optional x-dev_4.3.0.dfsg.1-9_all.deb
 30aa507ee9b09e08908c74e1d76387d7 4354390 x11 optional xfonts-100dpi_4.3.0.dfsg.1-9_all.deb
 cb034206cb153d5c37f66c0f0570e1c7 8188300 x11 optional xfonts-100dpi-transcoded_4.3.0.dfsg.1-9_all.deb
 1ec84722b9bc441907753ffac2964b61 3832220 x11 optional xfonts-75dpi_4.3.0.dfsg.1-9_all.deb
 74a4e47d9ec37b6d2c13124b54e7fc11 7065056 x11 optional xfonts-75dpi-transcoded_4.3.0.dfsg.1-9_all.deb
 2d64e09c7bda367dfb64a627bedf1a98 5481972 x11 optional xfonts-base_4.3.0.dfsg.1-9_all.deb
 9f2b107795784f9b5d6b1b5ecb50f8f3 1194910 x11 optional xfonts-base-transcoded_4.3.0.dfsg.1-9_all.deb
 6940a2e9be35442f1ed4c67b0a1edcc8 532434 x11 optional xfonts-cyrillic_4.3.0.dfsg.1-9_all.deb
 8608acefa0e3419f49a8ed77bd61c73e 892232 x11 optional xfonts-scalable_4.3.0.dfsg.1-9_all.deb
 ab713c194df9de454ae341efeac794e8 790618 x11 optional xfree86-common_4.3.0.dfsg.1-9_all.deb
 f600a3496f5fe23dd6079c33b7cbb55a 418094 libs optional xlibs_4.3.0.dfsg.1-9_all.deb
 8ca0255c91b039fadfc3c87b6cc25dea 897400 libs optional xlibs-data_4.3.0.dfsg.1-9_all.deb
 81e2dc94ee200dbceb0b02f157395ec4 5825862 x11 optional xspecs_4.3.0.dfsg.1-9_all.deb
 fa301c7313eeaf4f605d683d1eb3bf07 150162 x11 optional x-window-system_4.3.0.dfsg.1-9_all.deb
 bcf9befb8b1ab0133f826d1e286b3320 150018 oldlibs extra xlibmesa3-dbg_4.3.0.dfsg.1-9_all.deb
 910b76e617cb04ca0ad2d3fa2398be59 150002 oldlibs optional xlibmesa-dev_4.3.0.dfsg.1-9_all.deb
 1df8082e7d6fa8854fec9cdfc0dfbdf0 150072 oldlibs extra xlibs-dbg_4.3.0.dfsg.1-9_all.deb
 e12582d5c6ab48a31f94e77e82fdcbec 150072 oldlibs extra xlibs-dev_4.3.0.dfsg.1-9_all.deb
 c3c11c159745ab005afbb5fd9e5d9a6f 149980 oldlibs extra xlibs-pic_4.3.0.dfsg.1-9_all.deb
 30e069d389fea927d16b08d072faf778 241786 x11 optional lbxproxy_4.3.0.dfsg.1-9_i386.deb
 a5b706fb9790c636e99c4e94d024aab8 277496 libs optional libdps1_4.3.0.dfsg.1-9_i386.deb
 d60c040a0c1edb01c9057c3df9ae4c09 774396 libdevel extra libdps1-dbg_4.3.0.dfsg.1-9_i386.deb
 46657e42bc4de5c0a6fe0b8d8e35ca5d 333726 libdevel optional libdps-dev_4.3.0.dfsg.1-9_i386.deb
 065631e2925976a2bc1b3aae0a16446b 194890 libs optional libice6_4.3.0.dfsg.1-9_i386.deb
 b2a4f9cb058ec32afca10a7190b344cf 277862 libdevel extra libice6-dbg_4.3.0.dfsg.1-9_i386.deb
 47d917f75d912bf0ea08d8f60870ca16 196832 libdevel optional libice-dev_4.3.0.dfsg.1-9_i386.deb
 8ec454cdb4d914e0be0753e356aecc94 172608 libs optional libsm6_4.3.0.dfsg.1-9_i386.deb
 54c9462845b460cba3b2d15ffc7d2a47 196870 libdevel extra libsm6-dbg_4.3.0.dfsg.1-9_i386.deb
 09bb9a689bc780c924f8bb4b81f86e54 168194 libdevel optional libsm-dev_4.3.0.dfsg.1-9_i386.deb
 ffe09308b9fee526a378359d33eb11cc 715072 libs optional libx11-6_4.3.0.dfsg.1-9_i386.deb
 f42cc97c1fbbe687fba8e2e50ad15b97 9598498 libdevel extra libx11-6-dbg_4.3.0.dfsg.1-9_i386.deb
 9fe1f80bfda73da5a74dc1afc4e1146b 1349984 libdevel optional libx11-dev_4.3.0.dfsg.1-9_i386.deb
 46163b92e7293a1802d8f03787dada97 276722 libs optional libxaw6_4.3.0.dfsg.1-9_i386.deb
 048b72e343d006cea6e7d308aa1d9fca 882182 libdevel extra libxaw6-dbg_4.3.0.dfsg.1-9_i386.deb
 792b12c9548299f49c0b1598c9fda814 405608 libdevel extra libxaw6-dev_4.3.0.dfsg.1-9_i386.deb
 311e24f6f98083daa861d670c4772f2b 329830 libs optional libxaw7_4.3.0.dfsg.1-9_i386.deb
 8d0be03a4cdb803aff9d11c235acb467 1016794 libdevel extra libxaw7-dbg_4.3.0.dfsg.1-9_i386.deb
 1d86eaa88fb55ba3d6f40d80cd8510dd 405508 libdevel optional libxaw7-dev_4.3.0.dfsg.1-9_i386.deb
 9ff630f9cb97fa0abe3e08647fd19f59 179746 libs optional libxext6_4.3.0.dfsg.1-9_i386.deb
 6cbd35c270fe1c99eb1383d12d20df6b 499252 libdevel extra libxext6-dbg_4.3.0.dfsg.1-9_i386.deb
 1ac46fe9ce964ae0371250c9d68ec23d 238282 libdevel optional libxext-dev_4.3.0.dfsg.1-9_i386.deb
 83c8efcf1f385c30798e48096ecac699 182044 libs optional libxft1_4.3.0.dfsg.1-9_i386.deb
 740f7227aa84c0109be742e5f8ad4b26 461192 libdevel extra libxft1-dbg_4.3.0.dfsg.1-9_i386.deb
 4d726f81aa89c443b3f3d25921b58084 170964 libs optional libxi6_4.3.0.dfsg.1-9_i386.deb
 0f0df17cf0a8061cb634392294454cd8 1158228 libdevel extra libxi6-dbg_4.3.0.dfsg.1-9_i386.deb
 3c267f97744b673be7796c04e64ee219 222634 libdevel optional libxi-dev_4.3.0.dfsg.1-9_i386.deb
 18e9597bee9901a1a76a3bff7f7046af 201132 libs optional libxmu6_4.3.0.dfsg.1-9_i386.deb
 c913cd10602588373dbc174bdaafc877 651460 libdevel extra libxmu6-dbg_4.3.0.dfsg.1-9_i386.deb
 82f614c95c9d06c68846953596dbff4a 209710 libdevel optional libxmu-dev_4.3.0.dfsg.1-9_i386.deb
 38b8b6d0d3c4244453efa7d4cec72538 162984 libs optional libxmuu1_4.3.0.dfsg.1-9_i386.deb
 cdb5e3eb1541e607a38ddd5bf650aec3 200006 libdevel extra libxmuu1-dbg_4.3.0.dfsg.1-9_i386.deb
 e23bb044834ece00b208680fc80e1c27 154500 libdevel optional libxmuu-dev_4.3.0.dfsg.1-9_i386.deb
 dc6fc85aa005f50015871e1f17521b17 170110 libs optional libxp6_4.3.0.dfsg.1-9_i386.deb
 3957e8f4b6c73270cebefa1e7a56ab20 556626 libdevel extra libxp6-dbg_4.3.0.dfsg.1-9_i386.deb
 5648bd8ad6a51a1d64286feca06c89a8 170512 libdevel optional libxp-dev_4.3.0.dfsg.1-9_i386.deb
 408cd7ff5b3f5dd41e4f2e5c33204123 186736 libs optional libxpm4_4.3.0.dfsg.1-9_i386.deb
 90f9d58df23cdfefe1bd4cea32f98225 238304 libdevel extra libxpm4-dbg_4.3.0.dfsg.1-9_i386.deb
 5d2fb156641a3b1137f3e9f71e96b1eb 184952 libdevel optional libxpm-dev_4.3.0.dfsg.1-9_i386.deb
 651d863e54b54850aeeb3297330ccfd2 162728 libs optional libxrandr2_4.3.0.dfsg.1-9_i386.deb
 2472aa539ef3457eecc9e55043ee2b03 191942 libdevel extra libxrandr2-dbg_4.3.0.dfsg.1-9_i386.deb
 738ac38ac0ac3b3eb7b905746560e631 162808 libdevel optional libxrandr-dev_4.3.0.dfsg.1-9_i386.deb
 d644d0fce129e6ed78b115f53aaf453f 319334 libs optional libxt6_4.3.0.dfsg.1-9_i386.deb
 36a036034c4300732a50efdf77c0ca41 1522616 libdevel extra libxt6-dbg_4.3.0.dfsg.1-9_i386.deb
 f26781827bee4250b2b38e547a589796 605848 libdevel optional libxt-dev_4.3.0.dfsg.1-9_i386.deb
 54f14a2777f4eaae205a1c8bec980e27 171920 libs optional libxtrap6_4.3.0.dfsg.1-9_i386.deb
 837fe055e482c8681251db0d9c103371 401916 libdevel extra libxtrap6-dbg_4.3.0.dfsg.1-9_i386.deb
 97a58878c495e12b4fb6de0ba38cdc6b 176310 libdevel optional libxtrap-dev_4.3.0.dfsg.1-9_i386.deb
 651571f66e8a9a76113985bbb92292ae 165632 libs optional libxtst6_4.3.0.dfsg.1-9_i386.deb
 90693f43d20362cdbf250515e77f4f06 228000 libdevel extra libxtst6-dbg_4.3.0.dfsg.1-9_i386.deb
 3196ebc661dc9e0a0d0f7f93f1ec434b 162052 libdevel optional libxtst-dev_4.3.0.dfsg.1-9_i386.deb
 a94df15bb1d1b4b0316331f44b0f6038 163822 libs optional libxv1_4.3.0.dfsg.1-9_i386.deb
 564205c6d07981329605007cc8523a66 194654 libdevel extra libxv1-dbg_4.3.0.dfsg.1-9_i386.deb
 37bad7f94a523fe4d055bdc5dcce74d8 182192 libdevel optional libxv-dev_4.3.0.dfsg.1-9_i386.deb
 5a18f50224c19f8035112f553c281d2d 174086 x11 optional proxymngr_4.3.0.dfsg.1-9_i386.deb
 de50f1cac45650a1fc9b829e90f41da3 256346 x11 optional twm_4.3.0.dfsg.1-9_i386.deb
 7f5a65296bfbee16dad90e3a10f96a44 1932268 x11 optional xbase-clients_4.3.0.dfsg.1-9_i386.deb
 3cf84476326c7700916aadc84cbaa293 293188 x11 optional xdm_4.3.0.dfsg.1-9_i386.deb
 5521947f6ee8fb59fc6cf007fb374c1f 486294 x11 optional xfs_4.3.0.dfsg.1-9_i386.deb
 d6e9c67102557c7a08883c3685c6da60 171998 x11 optional xfwp_4.3.0.dfsg.1-9_i386.deb
 f1bba999dc89d32aca6b9f6a21ebad67 4994410 x11 optional xlibmesa-dri_4.3.0.dfsg.1-9_i386.deb
 b7b4e5170decec79018b442699ab773f 49480036 x11 optional xlibmesa-dri-dbg_4.3.0.dfsg.1-9_i386.deb
 e8898b596ff53ffc184743bff3ac6a95 274756 libs optional xlibmesa-gl_4.3.0.dfsg.1-9_i386.deb
 95d00af46c0d806ce3a18a96ad2bc859 1222370 libdevel extra xlibmesa-gl-dbg_4.3.0.dfsg.1-9_i386.deb
 4d106d819563f998ba7aecb4758c482d 696618 libdevel optional xlibmesa-gl-dev_4.3.0.dfsg.1-9_i386.deb
 8db2b6a5bc1d7792ed48ccdd94b22231 357206 libs optional xlibmesa-glu_4.3.0.dfsg.1-9_i386.deb
 97b9b224a6816c1799296fa3b54ed75e 1102830 libdevel extra xlibmesa-glu-dbg_4.3.0.dfsg.1-9_i386.deb
 17402e1b7962d51ebeeaa15bf07bb29e 426410 libdevel optional xlibmesa-glu-dev_4.3.0.dfsg.1-9_i386.deb
 27ffbf054c95c92ee9c2a4198a7187f7 652886 libs optional xlibosmesa4_4.3.0.dfsg.1-9_i386.deb
 6a14a9ebe0c3dd7f081daa53c31c17ee 4571820 libdevel extra xlibosmesa4-dbg_4.3.0.dfsg.1-9_i386.deb
 2784f88c146c0bddc641ecc0c6af39dc 781368 libdevel optional xlibosmesa-dev_4.3.0.dfsg.1-9_i386.deb
 6e0389707fdd3aefcc600dcf735ef0c6 845596 libdevel optional xlibs-static-dev_4.3.0.dfsg.1-9_i386.deb
 4de427ad34a587b74cfb539b5bb91921 375816 libdevel extra xlibs-static-pic_4.3.0.dfsg.1-9_i386.deb
 48c5f6ff24154f377a72cfadb02a5ba5 218384 mail extra xmh_4.3.0.dfsg.1-9_i386.deb
 a18ea3893b7a24683543b9a8d267a3ef 1456718 x11 optional xnest_4.3.0.dfsg.1-9_i386.deb
 288a30c1a5b50674035665e2a5fad41b 1117744 x11 optional xprt_4.3.0.dfsg.1-9_i386.deb
 5e7dd3f3537ab5ec17c494ab770f1a80 325824 x11 optional xserver-common_4.3.0.dfsg.1-9_i386.deb
 48040e6f94d2ec357a765d3e09a47653 5710034 x11 optional xserver-xfree86_4.3.0.dfsg.1-9_i386.deb
 99fb916587c9cab3cda7c1b235e7cd87 54897076 x11 extra xserver-xfree86-dbg_4.3.0.dfsg.1-9_i386.deb
 70fc7105a7fd5d2c660c564af65dd041 494926 x11 optional xterm_4.3.0.dfsg.1-9_i386.deb
 0890293f0226837e5e142bc8d0653f23 901726 x11 optional xutils_4.3.0.dfsg.1-9_i386.deb
 078d78d3289c9040d6bade021c1cc3ef 1593204 x11 optional xvfb_4.3.0.dfsg.1-9_i386.deb
 34b17b92a59b2167a0ac34c2b51de167 150232 x11 optional x-window-system-core_4.3.0.dfsg.1-9_i386.deb
 4e177316c9f02a1adcf46061b3ef2bc7 150282 x11 extra x-window-system-dev_4.3.0.dfsg.1-9_i386.deb
 9fd4b72f7c1365b2e4b07a5762ac60f4 150030 oldlibs optional xlibmesa3_4.3.0.dfsg.1-9_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBuIchhCzbekR3nhgRAlgSAJ49WmORWulc7DSF0iASqcl43kAYggCfTU8X
M2DF7mPU9+CaxuBht0cBAKc=
=H9Dw
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:10:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.